Seite 1 von 1

Rechnungsmodul WPSG 3.4.1 => 3.5.x (kein Hilferuf!)

Verfasst: 22.12.2014, 09:20
von Bernhard
Hallo WPSG-Team,

ich hatte vor, das Rechnungsmodul über die Feiertage ausgiebig zu testen, daher ein paar Fragen:

Hat sich am Rechnungsmodul von Version 3.4.1 zur aktuellen Version 3.5.x etwas verändert?
Wäre ja wenig sinnvoll, das alte Modul zu testen, wenn jetzt alles ganz anders ist.

Das Modul in meiner lokalen Installation zu aktivieren, ist kein Problem. Wenn ich da aber soweit bin, müsste ich es in der produktiven Umgebung aktivieren. Dort bekomme ich aber nur noch den Hinweis „neue Version verfügbar (wpShopGermany Update notwendig)“ statt der Möglichkeit, das Modul zu aktivieren.
Daher die Frage, wie aktiviere ich das Modul in der produktiven Umgebung?

Die Updateanleitung verrät mir, dass es sehr viel Arbeit wäre, zuerst zu aktualisieren und erst dann zu testen, auch wenn ich natürlich auf jeden Fall updaten werde.

Grüße
Bernhard

Re: Rechnungsmodul WPSG 3.4.1 => 3.5.x (kein Hilferuf!)

Verfasst: 22.12.2014, 10:49
von maennchen1.de
Hallo!
Es macht immer Sinn, die Software in der aktuellsten Version zu testen.
Das Rechnungsmodul für Version 3.4.1 erhältst du unter dieser URL: http://dl.maennchen1.de/wpsg/wpsg_mod_r ... _3.4.1.zip, musst es aber manuell installieren.

Re: Rechnungsmodul WPSG 3.4.1 => 3.5.x (kein Hilferuf!)

Verfasst: 22.12.2014, 12:48
von Bernhard
Hallo Roger,
maennchen1.de hat geschrieben:Es macht immer Sinn, die Software in der aktuellsten Version zu testen.
Klar.
Da sich aber mit 3.5.x sehr viel geändert hat, ist der Aufwand groß.
Daher war meine Frage, ob sich auch am Rechnungsmodul etwas geändert hat.
Wenn sich da nichts geändert haben sollte, könnte ich erst das Modul testen, bei Zufriedenheit erwerben und später updaten, wenn ich die notwendige Zeit dazu habe.

Hab mir eben auch die Version 3.5.1 des Rechnungsmoduls heruntergeladen und in die Changelog geschaut:
Da ist seit 3.2.0 keine Änderung mehr drin.
Da aber das Datum der Dateien unterschiedlich ist und die Dateigröße minimal abweicht, stelle ich meine Frage nochmal anders:
Kann ich die aktuellste Version des Moduls (3.5.1) unter WPSG 3.4.1 testen und anpassen, so dass ich mit dem späteren Update des Shops auf die aktuelle Version 3.5.1 nicht nochmal an das Rechnungsmodul ran muss?

Danke & Grüße
Bernhard

Re: Rechnungsmodul WPSG 3.4.1 => 3.5.x (kein Hilferuf!)

Verfasst: 23.12.2014, 11:56
von maennchen1.de
Modulversionen sollten immer mit der Versionsnummer von wpShopGermany übereinstimmen. Alles andere erzeugt Inkompatibiltäten.